## Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
## Authors: J. Burgalat
## 2016-2024

# battery status stuff for admin

QT *= core gui widgets

CONFIG *= c++14

INCLUDEPATH += $$PWD

SOURCES += \
    $$PWD/batterystatuswidget.cpp \
    $$PWD/batterystatusworker.cpp

HEADERS += \
    $$PWD/batterystatuswidget.hpp \
    $$PWD/batterystatusworker.hpp

# Require SDL !

win32:SDL_PATH=D:/LIBRARIES/SDL2
unix:SDL_PATH=/usr

win32:CONFIG(release, debug|release):{
  LIBS += -L$${SDL_PATH}/lib -lSDL2 -L$${SDL_PATH}/bin
}else:win32:CONFIG(debug, debug|release):{
  LIBS += -L$${SDL_PATH}/lib -lSDL2d -L$${SDL_PATH}/bin
}else:unix:{
  LIBS += -L$${SDL_PATH}/lib/x86_64-linux-gnu -lSDL2
}


INCLUDEPATH += $${SDL_PATH}/include
DEPENDPATH += $${SDL_PATH}/include


RESOURCES += $$PWD/resources/battery.qrc
