# -*- coding: utf-8 -*-

# WARNING: this script must be called in its directory.
# The file '_icons.rst' produced by the script is expected to be located in the same directory the rst files.
import os
import os.path
import glob

tpl="""
.. |ico_{}| image:: /images/icons/{}
                 :height: 14pt
"""

files = glob.glob("images/icons/*.png")
content = ''
for f in files:
    fname = os.path.basename(f)
    name = fname.replace('-','_').replace('.png','')
    content += tpl.format(name,fname)
with open("_icons.rst","wt") as fp:
    fp.write("""
.. |copy|   unicode:: U+000A9 .. COPYRIGHT SIGN
.. |larr|   unicode:: U+02190 .. LEFTWARDS ARROW
.. |rarr|   unicode:: U+02192 .. RIGHTWARDS ARROW
""")
    fp.write(content)

