// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef CONFIGWIDGET_HPP
#define CONFIGWIDGET_HPP

#include "globals.hpp"

#include "admconfig.hpp"

class ConfigWidget : public QGroupBox {
    Q_OBJECT
  public:
    explicit ConfigWidget(QWidget *parent = nullptr);
    void updateConfig(const AdmConfig &config, FitConfig *fitConfig = nullptr);
    void translateUI();
  signals:

  private:
    QLabel *mLblNameDescr;
    QLabel *mLblDescrDescr;
    QLabel *mLblInvDescr;
    QLabel *mLblName;
    QLabel *mLblDescr;
    QLabel *mLblInv;
};

#endif // CONFIGWIDGET_HPP
