// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef LINEEDITDELEGATE_HPP
#define LINEEDITDELEGATE_HPP

#include <QStyledItemDelegate>

class LineEditDelegate : public QStyledItemDelegate {
    Q_OBJECT
  public:
    explicit LineEditDelegate(bool allowEmpty, QObject *parent = nullptr);
    virtual ~LineEditDelegate() {}
    virtual QWidget *createEditor(QWidget *parent, const QStyleOptionViewItem &option,
                                  const QModelIndex &index) const override;
    virtual void setEditorData(QWidget *editor, const QModelIndex &index) const override;
    virtual void setModelData(QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const override;
    virtual void updateEditorGeometry(QWidget *editor, const QStyleOptionViewItem &option,
                                      const QModelIndex &index) const override;

  private:
    bool mAllowEmpty;
};
#endif // LINEEDITDELEGATE_HPP
