## Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
## Authors: J. Burgalat
## 2016-2024

message("AAA programs build system")
message("Before taking any other action, one must set ISP_TOPDIR variable in ./interfaces/interfaces.pri file to the top directory of ISP library installation directory tree.")


!versionAtLeast(QT_VERSION, 5.15.2) {
    message("Cannot use Qt $${QT_VERSION}")
    error("Use Qt 5.15.2 or newer")
}
!win32{
    error("Build is available only on Windows platform.")
}

TEMPLATE= subdirs
CONFIG += ordered
SUBDIRS = \
    AFI_CLI \
    AFC \
    ADMin
