# -*- coding: utf-8 -*-

# Post processing script for sphinx latex output.

# The script simply modify the description list to make them more HTML like.
import sys
import os
import os.path
import re


path = sys.argv[1]
print("Post-processing {}".format(path))
if not os.path.exists(path):
    print("Post-processing: {} does not exists".format(path))
    sys.exit(1)
fin = open(path,'rt')
content = fin.read()
fin.close()
content = content.replace(r"\leavevmode",r"\leavevmode \hfill \\")
fout = open(path,'wt')
fout.write(content)
fout.close()
print("Post-processing finished")
sys.exit(0)