// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef ITEMTRACER_HPP
#define ITEMTRACER_HPP

#include "qcustomplot.h"

class ItemTracer : public QCPItemTracer {
    Q_OBJECT

  public:
    explicit ItemTracer(QCustomPlot *parentPlot);
    virtual ~ItemTracer();

    // reimplemented virtual methods:
    virtual double selectTest(const QPointF &pos, bool onlySelectable, QVariant *details = 0) const override;

  protected:
    // reimplemented virtual methods:
    virtual void draw(QCPPainter *painter) override;
};

#endif
