// Copyright (c) URCA-CNRS-TOTALENERGIES - All Rights Reserved
// Authors: J. Burgalat
// 2016-2024

#ifndef GPSSTATUSWIDGET_HPP
#define GPSSTATUSWIDGET_HPP

#include "globals.hpp"

class ColorIndicator;

class GPSStatusWidget : public QWidget {
    Q_OBJECT
  public:
    explicit GPSStatusWidget(QWidget *parent = nullptr);
    virtual ~GPSStatusWidget();
    void translateUI();
    void reset();

  public slots:

    void updateStatus(int nsats);

  private:
    // udp
    ColorIndicator *mIndicator;
    QLabel *mLblDescr;
    QLabel *mLblValue;
    QHBoxLayout *mLayout;
};

#endif // GPSSTATUSWIDGET_HPP
